<?php
# **********************************************************************************************
# phpLivePacker
#
# Copyright 2013 Christian Bartl (phplivepacker.bartlweb.net)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# This notice must appear in all copies of the script.


# index.php
#
# web based front end
# *********************************************************************************************
?>

<?php
	// include libraries
	require_once "../../lib/phplivepacker-lib.php";
	require_once "../../lib/browserdetection-lib.php";
	
	// generate object
	$phplivepacker = new phplivepacker('conf/phplivepacker.ini');
	
	// detect browser
	$browserdetection = new browserdetection(null, $phplivepacker->getConfig('caching'));
	$phplivepacker->setBrowserInformation($browserdetection->getBrowserInformation());
	
	$conf = $phplivepacker->getConfig(null);
	$browser = $browserdetection->getBrowserInformation();
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>test suite - phpLivePacker <?php echo $conf['general']['version']; ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
	<meta name="robots" content="noindex, nofollow" />
	<link rel="stylesheet" type="text/css" href="../css/style.css" />
	<link rel="stylesheet" type="text/css" href="../css/admin.css" />
	
	<link rel="stylesheet" type="text/css" href="../../style_[testsuite].css" />
	<script src="../../script_[testsuite].js" type="text/javascript"></script>
	
	<link rel="stylesheet" type="text/css" href="../../style_[testsuite-versioning]_v1.css" />
	<script src="../../script_[testsuite-versioning]_v2.js" type="text/javascript"></script>
</head>

<body>
    <div id="bw_page">		
	    <div id="bw_content">
	    	
	    	<h1>test suite - phpLivePacker <?php echo $conf['general']['version']; ?></h1>
	    	<p>
				<a href="../../">&lt; back to main page</a>
			</p>
	    	

			<h2>// CSS tests</h2>
			<p>Included CSS is working fine if text is green.<br />CSS background images are working fine if success icons are displayed.</p>
			<ul class="bw_nolist bw_list_testsuite">
				<li id="css_test">CSS is working</li>
				<li id="css_test_set">CSS sets are working</li>
				<li id="css_test_versioning">CSS included with fake versioning is working</li>
				<li id="css_test_background1">background image is working (path to same folder)</li>
				<li id="css_test_background2">background image is working (path to folder down)</li>
				<li id="css_test_background3">background image is working (path to folder up)</li>
				<li id="css_test_background4">background image is working (base64 encoded image)</li>
				<li id="css_test_background5">background image is working (external path - without protocol)</li>
				<li id="css_test_background6">background image is working (external path - http)</li>
				<li id="css_test_background7">background image is working (external path - https)</li>
			</ul>
						
			
			<h2>// JS tests</h2>
			<p>Included JS is working fine if text is green and success icons are displayed.</p>
			<ul class="bw_nolist bw_list_testsuite">
				<li id="js_test">JS is working</li>
				<li id="js_test_set">JS sets are working</li>
				<li id="js_test_versioning">JS included with fake versioning is working</li>
			</ul>
			
			
			<h2>// browser detection</h2>
			<p>Browser is successfully detected if text is green and success icon is displayed.</p>
			<ul class="bw_nolist bw_list_testsuite">
				<li id="browser">browser detected
					<?php 
						echo ' (' . htmlspecialchars($browser['browser']) . ' ' . htmlspecialchars($browser['version']) . ')';
					?>
				</li>
				<?php
					$conf = $phplivepacker->getConfig('browserDetection');
					if($conf['overrideDetection']){
						echo '<li class="bw_warning">overrideDetection of browser detection engine enabled</p>';
					}
				?>
			</ul>	
			
			<p>
				<em>
					<?php echo htmlspecialchars($browser['useragent']); ?>
				</em>
			</p>
			<ul class="bw_nolist bw_list_testsuite">
				<li id="browser_ie">Internet Explorer</li>
				<li id="browser_ie10plus">Internet Explorer 10 (and higher)</li>
				<li id="browser_ie10">Internet Explorer 10</li>
				<li id="browser_ie9">Internet Explorer 9</li>
				<li id="browser_ie8">Internet Explorer 8</li>
				<li id="browser_ie7">Internet Explorer 7</li>
				<li id="browser_ie6">Internet Explorer 6</li>
				<li id="browser_ie6minus">Internet Explorer 6 (and below)</li>
				<li id="browser_iemobile">Internet Explorer Mobile</li>
				<li id="browser_firefox">Firefox</li>
				<li id="browser_firefox20plus">Firefox 20 (and higher)</li>
				<li id="browser_firefox20">Firefox 20</li>
				<li id="browser_firefox200">Firefox 20.0</li>
				<li id="browser_safari">Safari</li>
				<li id="browser_safari5plus">Safari 5 (and higher)</li>
				<li id="browser_safari5">Safari 5</li>
				<li id="browser_safari517">Safari 5.1.7</li>
				<li id="browser_chrome">Chrome</li>
				<li id="browser_chrome26plus">Chrome 26 (and higher)</li>
				<li id="browser_chrome26">Chrome 26</li>
				<li id="browser_chrome260141043">Chrome 26.0.1410.43</li>				
				<li id="browser_opera">Opera</li>
				<li id="browser_opera12plus">Opera 12 (and higher)</li>
				<li id="browser_opera12">Opera 12</li>
				<li id="browser_opera1214">Opera 12.14</li>
			</ul>
			
			<h2>// browser engine detection</h2>
			<p>Browser engine is successfully detected if text is green and success icon is displayed.</p>
			<ul class="bw_nolist bw_list_testsuite">
				<li id="engine">browser engine detected<?php echo ' (' . htmlspecialchars($browser['engine']) . ')'; ?></li>
				<?php
					$conf = $phplivepacker->getConfig('browserDetection');
					if($conf['overrideDetection']){
						echo '<li class="bw_warning">overrideDetection of browser detection engine enabled</p>';
					}
				?>
			</ul>
			<p>
				<em>
					<?php echo htmlspecialchars($browser['useragent']); ?>
				</em>
			</p>
			<ul class="bw_nolist bw_list_testsuite">
				<li id="browser_webkit">Webkit</li>
				<li id="browser_gecko">Gecko</li>
				<li id="browser_trident">Trident</li>
				<li id="browser_presto">Presto</li>
			</ul>
			
			<h2>// os detection</h2>
			<p>Operating system is successfully detected if text is green and success icon is shown.</p>
			<ul class="bw_nolist bw_list_testsuite">
				<li id="os">operation system detected<?php echo ' (' . htmlspecialchars($browser['os']) . ')'; ?></li>
				<?php
					$conf = $phplivepacker->getConfig('browserDetection');
					if($conf['overrideDetection']){
						echo '<li class="bw_warning">overrideDetection of browser detection engine enabled</p>';
					}
				?>
			</ul>
			<p>
				<em>
					<?php echo htmlspecialchars($browser['useragent']); ?>
				</em>
			</p>			
			<ul class="bw_nolist bw_list_testsuite">
				<li id="os_windows">Windows</li>
				<li id="os_osx">OS X</li>
				<li id="os_linux">Linux</li>
				<li id="os_wince">Windows CE</li>
				<li id="os_ios">iOS (iPhone/iPad/iPod)</li>
				<li id="os_android">Android</li>
				<li id="os_symbian">Symbian OS</li>
				<li id="os_blackberry">BlackBerry OS</li>
				<li id="os_windowsphone">Windows Phone</li>
			</ul>
			
			<h2>// condition tests</h2>
			<p>
				Condition matches actual browser if text is green and success icon is shown.
			</p>
			<ul class="bw_nolist bw_list_testsuite">
				<li id="condition">matching condition found</li>
				<?php
					$conf = $phplivepacker->getConfig('browserDetection');
					if($conf['overrideDetection']){
						echo '<li class="bw_warning">overrideDetection of browser detection engine enabled</p>';
					}
				?>
			</ul>
			<p>
				<em>
					<?php echo htmlspecialchars($browser['useragent']); ?>
				</em>
			</p>			
			<ul class="bw_nolist bw_list_testsuite">
				<li id="condition_notwindows">not Windows</li>
				<li id="condition_osxsafari6">OS X Safari 6</li>
				<li id="condition_windowsfirefox">Windows Firefox</li>
				<li id="condition_ieg9">IE &gt; 9</li>
				<li id="condition_iege9">IE &gt;= 9</li>
				<li id="condition_iel9">IE &lt; 9</li>
				<li id="condition_iele9">IE &lt;= 9</li>
				<li id="condition_ienot9">IE != 9</li>
				<li id="condition_ieis9">IE = 9</li>
				<li id="condition_ie9orie10orfirefox">IE 9 or IE 10 or Firefox</li>
			</ul>
			
	    </div>
		<div id="bw_logo">
	        <a href="http://phplivepacker.bartlweb.net" title="phpLivePacker - Websites"><img src="../img/logo.gif" alt="phpLivePacker"/></a>
    	</div>
    </div>	
</body>
</html>