<?php
# **********************************************************************************************
# phpLivePacker
#
# Copyright 2013 Christian Bartl (phplivepacker.bartlweb.net)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# This notice must appear in all copies of the script.


# phplivepacker.php
#
# main script for css and js output
# *********************************************************************************************

 

/* ------------------------------------------------------------------------------------------------------------
   include libraries
------------------------------------------------------------------------------------------------------------ */

require_once "lib/phplivepacker-lib.php";
require_once "lib/browserdetection-lib.php";


/* ------------------------------------------------------------------------------------------------------------
	generate livepacker object and read config
------------------------------------------------------------------------------------------------------------ */

$phplivepacker = new phplivepacker('conf/phplivepacker.ini', 'default');

// process parameters
$phplivepacker->processParameters();

// read set configuration files
$phplivepacker->getSetConf();

// configure output
$phplivepacker->setHttpHeaderFiletype();
$phplivepacker->setGzipCompression();

// debug output
$phplivepacker->debug('output');
$phplivepacker->debug('conf');


/* ------------------------------------------------------------------------------------------------------------
	detect browser
------------------------------------------------------------------------------------------------------------ */

$browserdetection = new browserdetection(null, $phplivepacker->getConfig('caching'));

// detect browser
$phplivepacker->setBrowserInformation($browserdetection->getBrowserInformation());

// debug output
$phplivepacker->debug('browserinfo');


/* ------------------------------------------------------------------------------------------------------------
	generate content
------------------------------------------------------------------------------------------------------------ */

// get content from cache
$phplivepacker->getCache();
$phplivepacker->debug('getcache');

// generate content, if not cached or caching is disabled
$phplivepacker->generateContent();

// return content
$phplivepacker->returnContent();

// write content to cache
$phplivepacker->writeCache();
$phplivepacker->debug('writecache');
?>